Skip to main content
GET
/
api
/
v1
/
apps
List all apps for the current tenant, most recently registered first.
curl --request GET \
  --url https://api.backside.app/api/v1/apps \
  --header 'Authorization: Bearer <token>'
[
  {
    "auth_type": "<string>",
    "consecutive_probe_failures": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "discovered_tools": [
      {
        "first_seen_at": "2023-11-07T05:31:56Z",
        "input_schema": "<unknown>",
        "last_seen_at": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "description": "<string>",
        "stale": true
      }
    ],
    "display_name": "<string>",
    "enabled_tools": [
      "<string>"
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mcp_server_url": "<string>",
    "metadata": "<unknown>",
    "slug": "<string>",
    "status": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "auth_header_name": "<string>",
    "auth_hint": "<string>",
    "description": "<string>",
    "last_healthy_at": "2023-11-07T05:31:56Z",
    "last_probed_at": "2023-11-07T05:31:56Z",
    "status_reason": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Apps

auth_type
string
required
consecutive_probe_failures
integer<int32>
required
created_at
string<date-time>
required
discovered_tools
object[]
required
display_name
string
required
enabled_tools
string[]
required
id
string<uuid>
required
mcp_server_url
string
required
metadata
any
required
slug
string
required
status
string
required
updated_at
string<date-time>
required
auth_header_name
string | null
auth_hint
string | null
description
string | null
last_healthy_at
string<date-time> | null
last_probed_at
string<date-time> | null
status_reason
string | null